Bug 15189 - The batch records modification tool should not close STDERR when running in background mode
Summary: The batch records modification tool should not close STDERR when running in b...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 11395
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 16:36 UTC by Jonathan Druart
Modified: 2017-06-14 22:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15189: Do not close STDERR when running in background mode (1018 bytes, patch)
2015-11-13 16:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 15189: Do not close STDERR when running in background mode (1.07 KB, patch)
2015-11-13 19:04 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 15189: Do not close STDERR when running in background mode (1.12 KB, patch)
2015-11-16 20:08 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-11-13 16:36:06 UTC

    
Comment 1 Jonathan Druart 2015-11-13 16:37:51 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2015-11-13 16:38:25 UTC
No need for a test plan here.
Comment 3 Héctor Eduardo Castro Avalos 2015-11-13 19:04:21 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2015-11-16 20:08:20 UTC
Created attachment 44891 [details] [review]
[PASSED QA] Bug 15189: Do not close STDERR when running in background mode

The batch records modification tool close STDERR, it's useless and hide
warnings/errors.

Like the other processes using the BackgroundJob module, this one should
let it open.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Tomás Cohen Arazi 2015-11-17 12:57:46 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 6 Frédéric Demians 2015-11-29 21:08:45 UTC
This patch has been pushed to 3.20.x, will be in 3.20.6.